Bug 93679

Summary: [V8] Remove evaluateInIsolatedWorld() from V8Proxy
Product: WebKit Reporter: Kentaro Hara <haraken>
Component: WebCore JavaScriptAssignee: Kentaro Hara <haraken>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, japhet, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 85330    
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from gce-cr-linux-04
none
Patch none

Description Kentaro Hara 2012-08-09 20:12:57 PDT
We can move V8Proxy::evaluateInIsolatedWorld() to ScriptController.
Comment 1 Kentaro Hara 2012-08-09 20:17:19 PDT
Created attachment 157621 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-09 21:19:58 PDT
Comment on attachment 157621 [details]
Patch

Attachment 157621 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13477071

New failing tests:
userscripts/user-script-audio-document.html
userscripts/user-script-plugin-document.html
userscripts/script-not-run-for-fragments.html
userscripts/document-element-available-at-start.html
userscripts/user-script-top-frame-only.html
userscripts/user-script-all-frames.html
userscripts/script-run-at-start.html
userscripts/script-run-at-end.html
userscripts/user-script-image-document.html
userscripts/window-onerror-for-isolated-world-1.html
userscripts/window-onerror-for-isolated-world-2.html
Comment 3 WebKit Review Bot 2012-08-09 21:20:02 PDT
Created attachment 157631 [details]
Archive of layout-test-results from gce-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Adam Barth 2012-08-10 00:52:26 PDT
Comment on attachment 157621 [details]
Patch

Test failures?
Comment 5 Kentaro Hara 2012-08-12 17:28:15 PDT
Created attachment 157913 [details]
Patch
Comment 6 Kentaro Hara 2012-08-13 17:36:26 PDT
Committed r125475: <http://trac.webkit.org/changeset/125475>